#
# spec file for package yast2-reipl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-reipl
Version:        3.1.12
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  libxslt
BuildRequires:  perl-XML-Writer
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-bootloader
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-storage
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(rspec)

Requires:       yast2-bootloader
Requires:       yast2-storage
# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.22

PreReq:         %fillup_prereq

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - IPL loader
License:        GPL-2.0
Group:          System/YaST

%description
Module for loading IPL from running system on S/390

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%post
%{fillup_only -ns security checksig}

%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%{yast_moduledir}/*.rb
%{yast_desktopdir}/*.desktop
%dir %{yast_yncludedir}/reipl
%{yast_yncludedir}/reipl/*
%dir %{yast_docdir}
%doc %{yast_docdir}/*
%doc %{yast_docdir}/COPYING

%changelog
* Thu Sep 15 2016 jreidinger@suse.com
- do not print shutdown message if chreipl succeed, as it do
  reboot (bnc#988379)
- 3.1.12
* Tue Aug  2 2016 mfilka@suse.com
- bnc#988379
  - updated message which is shown at the end of installation on
    s390
- 3.1.11
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.10
* Fri May 13 2016 igonzalezsosa@suse.com
- Use Arch.is_zkvm method instead of using grep
  to determine whether the system is running on z/KVM
  (related to fate#320262)
- 3.1.9
* Fri Nov 13 2015 jreidinger@suse.com
- Fixed an Internal Error on z/KVM (bnc#954952)
- 3.1.8
* Tue Oct 27 2015 jreidinger@suse.com
- require shutdown in zKVM (bnc#943582)
- 3.1.7
* Mon Jan 26 2015 jreidinger@suse.com
- fixed \r character lost during conversion to Ruby
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu Nov  6 2014 schubi@suse.de
- Fixed parsing of lsreipl output (bnc#902094)
- 3.1.5
* Wed May 21 2014 jreidinger@suse.com
- do not call reipl mutliple time during installation
  (patch by Ihno)
- 3.1.4
* Mon May  5 2014 jreidinger@suse.com
- call chreipl without target prefix as it is called in chroot
  ( patch by Ihno )
- 3.1.3
* Fri May  2 2014 jreidinger@suse.com
- adapt module to SLE12 code base (bcn#875515) ( patch by Ihno )
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
* Fri Jan 13 2012 cfarrell@suse.com
- license update: GPL-2.0
  SPDX format for "GPL version 2 only"
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Sep 28 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Sep 19 2011 visnov@suse.cz
- remove dependency on Wizard_hw
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Thu Aug  4 2011 jsrain@suse.cz
- fixed categories in the .desktop-file (bnc#607047)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Mon Apr 20 2009 jsrain@suse.cz
- fixed handling of more than 26 disks (bnc #492326)
- 2.18.0
* Wed Apr  8 2009 jsrain@suse.cz
- fixed reboot after installation into LVM (bnc#592838)
* Mon Feb  9 2009 hare@suse.de
- Final fix for reboot (bnc#471522)
* Fri Feb  6 2009 jsrain@suse.cz
- fixed rebooting (bnc #471522)
- 2.17.3
* Fri Oct 31 2008 jsrain@suse.cz
- do not rely on bootloader module being initialized (bnc #440261)
- 2.17.2
* Mon Oct 27 2008 jsrain@suse.cz
- added more verbose logging
- 2.17.1
* Thu Sep 11 2008 locilka@suse.cz
- Added reipl_finish to be called from installation.
- Added reipl_bootloader_finish to be called from bootloader.
- Fixed help texts - one gettext message for one <p>...</p>.
- 2.17.0
* Thu Sep 11 2008 uli@suse.de
- Initial version
